package edu.travel.remote.feign.mode.dto.tenant;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * AddTenantDto 类。
 * <p>
 * 描述：添加用户dto
 *
 * @author huangwenwen
 * @date 2025/2/12
 */

@Data
public class AddOrUpdateTenantDto {

    /**
     * 主键
     */
    private Long id;

    /**
     * 姓
     */
    @NotNull(message = "用户姓不能为空")
    private String tenantSurname;

    /**
     * 名
     */
    @NotNull(message = "用户名不能为空")
    private String tenantName;

    /**
     * 性别 0男 1女
     */
    @NotNull(message = "用户性别不能为空")
    private Integer tenantSex;

    /**
     * 头像
     */
    private String tenantAvatar;

    /**
     * 手机号
     */
    @NotNull(message = "用户手机号不能为空")
    private String tenantPhone;

    /**
     * 密码
     */
    @NotNull(message = "用户密码不能为空")
    private String password;

    /**
     * 地区区号
     */
    private String tenantArea;

    /**
     * 生日日期
     */
    private Date tenantBirthday;

    /**
     * 微信小程序openid
     */
    @TableField(value = "tenant_open_id")
    private String tenantOpenId;

    /**
     * 微信小程序unionid
     */
    @TableField(value = "tenant_unionid")
    private String tenantUnionid;

    /**
     * 现实名
     */
    @TableField(value = "show_name")
    private String showName;

    /**
     * 用户状态
     */
    @TableField(value = "user_status")
    private Integer userStatus;

    /**
     * 角色列表
     */
    private List<Long> roleIds;


}
