package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 国家表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "base_country")
public class BaseCountry extends BaseEntity {
    /**
     * ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 所属洲
     */
    @TableField(value = "parent_id")
    private Long parentId;

    /**
     * 图片
     */
    @TableField(value = "image_url")
    private String imageUrl;

    /**
     * 服务费比率
     */
    @TableField(value = "service_charge_value")
    private BigDecimal serviceChargeValue;

    /**
     * 国家/洲名称
     */
    @TableField(value = "country_name")
    private String countryName;

    /**
     * 服务状态，默认0,-0未开通，-1开通
     */
    @TableField(value = "serve_state")
    private Integer serveState;

    /**
     * 系统标识
     */
    @TableField(value = "project")
    private String project;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "create_user_id")
    private String createUserId;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 更新人id
     */
    @TableField(value = "update_user_id")
    private String updateUserId;

    /**
     * 删除标记 0正常 1删除
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;
}