package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 货币表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_currency")
public class ShopCurrency extends BaseEntity {
    /**
     * ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 订单商品表id
     */
    @TableField(value = "order_item_id")
    private Long orderItemId;

    /**
     * 货币名称_en
     */
    @TableField(value = "currency_name_en")
    private String currencyNameEn;

    /**
     * 货币名称_zh
     */
    @TableField(value = "currency_name_zh")
    private String currencyNameZh;

    /**
     * 货币符号
     */
    @TableField(value = "currency_code")
    private String currencyCode;

    /**
     * 系统标识
     */
    @TableField(value = "project")
    private String project;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "create_user_id")
    private String createUserId;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 更新人id
     */
    @TableField(value = "update_user_id")
    private String updateUserId;

    /**
     * 删除标记 0正常 1删除
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;
}